##
##  xsel.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         xsel
Summary:      X11 Selection Buffer Command Line Utility
URL:          http://www.xsel.org/
Vendor:       Ralph Swick, Ville Herva
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        XWindow
License:      X11
Version:      0.04.1
Release:      20021130

#   list of sources
Source0:      http://www.niksula.cs.hut.fi/~vherva/xsel/xsel.c
Source1:      http://www.niksula.cs.hut.fi/~vherva/xsel/xsel.man

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, X11
PreReq:       OpenPKG, openpkg >= 20020206, X11
AutoReq:      no
AutoReqProv:  no

%description
    xsel is a little utility to give access to the X11 selection from
    the command line. You can paste stuff from the X11 selection to
    stdout and copy stuff from stdin to X11 selection.

%prep
    %setup -q -c -T

%build
    %{l_cc} \
        %{l_cflags -O} -I`%{l_prefix}/etc/rc --query x11_incdir` \
        -o xsel %{SOURCE xsel.c} \
        %{l_ldflags} -L`%{l_prefix}/etc/rc --query x11_libdir` \
        -lX11 -lXt -lXmu -lXaw

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        xsel $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        %{SOURCE xsel.man} $RPM_BUILD_ROOT%{l_prefix}/man/man1/xsel.1
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

